Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class InstanceTypeEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.exchange.InstanceTypeEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class InstanceTypeEnum
extends CollabEnum
implements java.io.Serializable

The enumeration class that contains `InstanceType` elements.

See Also:
  Serialized Form

Field Summary
`static InstanceType` | `DEVIATION`
`static InstanceType` | `INSTANCE`
`static InstanceType` | `MASTER`
`static int` | `NUM_ELEMENTS`
`static InstanceType` | `SINGLE`
`static int` | `VALUE_DEVIATION`
`static int` | `VALUE_INSTANCE`
`static int` | `VALUE_MASTER`
`static int` | `VALUE_SINGLE`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `InstanceTypeEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `InstanceTypeEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_SINGLE

    public static final int VALUE_SINGLE

### VALUE_MASTER

    public static final int VALUE_MASTER

### VALUE_INSTANCE

    public static final int VALUE_INSTANCE

### VALUE_DEVIATION

    public static final int VALUE_DEVIATION

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### SINGLE

    public static final InstanceType SINGLE

### MASTER

    public static final InstanceType MASTER

### INSTANCE

    public static final InstanceType INSTANCE

### DEVIATION

    public static final InstanceType DEVIATION

Constructor Detail

### InstanceTypeEnum

    protected InstanceTypeEnum(java.lang.Class elementClass,
                               int iNumElements,
                               com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                               EnumElement defaultElement,
                               java.lang.String sInternalName,
                               boolean bMaskable)

  Constructor.

### InstanceTypeEnum

    protected InstanceTypeEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.